# Uses of Class
org.bukkit.material.ExtendedRails

Packages that use ExtendedRails
Package
Description
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of ExtendedRails in org.bukkit.material

Subclasses of ExtendedRails in org.bukkit.material
Modifier and Type
Class
Description
`class`
`DetectorRail`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`PoweredRail`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
Methods in org.bukkit.material that return ExtendedRails
Modifier and Type
Method
Description
`ExtendedRails`
ExtendedRails.`clone()`
Deprecated.